Subject: RE: DBD::Pg - $dbh->quote() causes core dump
From: "Rafael Kitover" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, "'Ian Sealy'" <[email-masked]>
Date: Tue, 17 Feb 2004 02:51:42 -0800

Hi Ian,

There was some memory allocation related funkiness in DBD::Pg that the attached
patch fixes. You can apply it to both 1.31 and 1.32_1.

Bug posted on CPAN:
http://rt.cpan.org/NoAuth/Bug.html?id=5357 

-- 
Rafael

>-----Original Message-----
>From: Ian Sealy
>Sent: Monday, February 16, 2004 11:09 AM
>To: Cygwin<at>cygwin.com
>Subject: Re: DBD::Pg - $dbh->quote() causes core dump
>
>Dear all,
>
>> Is anyone using the DBD::Pg Perl module under Cygwin? I'm trying to use
>> it on Windows XP with Perl 5.8.2-1 and DBI 1.40. The Cygwin DLL version
>> is 1.5.7.
>>
>> The module seems to build OK, but lots of the tests fail. The most
>> serious (from my point of view, because I tried to use the module
>> anyway) is that $dbh->quote() causes a core dump:
[SNIP]
>>
>> Any idea what's wrong?
>
>I've just realised that I've missed out one bit of, perhaps crucial,
>information. I'm building DBD::Pg against PostgreSQL 7.4.1-3.
>
>Any ideas? Thanks in advance.
>
>Cheers,
>Ian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/